Issue 64084 - detect uncallable code in binfilter and remove it
detect uncallable code in binfilter and remove it
Status: CLOSED FIXED
Product: General
Classification: Code
Component: code
OOo 2.0.2
All All
: P3 trivial (vote)
: OOo 2.2
Assigned To: uwe.luebbers
issues@framework
:
Depends on: 63929 63930
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-06 20:26 UTC by caolanm
Modified: 2007-08-27 10:40 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
list of > 900 removed methods (59.22 KB, patch)
2006-12-11 19:10 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2006-04-06 20:26:02 UTC
i.e. using "callcatcher" find and remove non-virtual methods which are
uncallable from any other code
Comment 1 caolanm 2006-04-06 20:26:39 UTC
i.e. bfcallcatcher1
Comment 2 caolanm 2006-08-02 15:58:24 UTC
done, but not worth it for 2.0.4, need to resync and do some work on it again
Comment 3 caolanm 2006-12-11 19:10:35 UTC
Created attachment 41344 [details]
list of > 900 removed methods
Comment 4 caolanm 2006-12-11 19:12:11 UTC
The easiest 900+ methods removed in bfshrink01.
Comment 5 caolanm 2006-12-12 16:50:20 UTC
hmm, all done except the buildbots can't create windows builds. So I'm not able
to provide a windows installset :-(

cmc->mt: you expressed some interest in this earlier this year, interested
enough in trying a windows build of "bfshrink01" ?
Comment 6 caolanm 2006-12-13 19:49:26 UTC
hazarding a guess at who last in qa might be binfilter-relevent
Comment 7 malte_timmermann 2006-12-14 17:50:44 UTC
cmc: Heiner did/does a lot of changes here, so you better coordinate with him.
http://blogs.sun.com/GullFOSS/entry/what_a_bit_of_code
Comment 8 jens-heiner.rechtien 2006-12-15 11:54:41 UTC
@Caolan: When did you open your CWS? Rüdiger and I did a number of CWSs to
remove completely obsolete files from binfilter. I think the current count is
about 1500  removed files. Additionally I stripped all the automatically
commented lines from the files. Another CWS is under way (hr41) which will
remove another few hundred files from binfilter. Additionally Oliver Specht
moved stuff from sw to binfilter (the old writer binary 3rd party filters).

Most of this work should be orthogonal to your work but I imagine that a resync
might be interesting ... 
Comment 9 caolanm 2006-12-15 11:57:46 UTC
yeah, I was unaware of any other work here. It was opened on SRC680m194 
Comment 10 jens-heiner.rechtien 2006-12-15 12:38:48 UTC
The big one (hr38) went into m191 ... :-)
Comment 11 uwe.luebbers 2006-12-21 14:40:27 UTC
ok in CWS bfshrink01 
Comment 12 uwe.luebbers 2006-12-21 14:54:42 UTC
changed target
Comment 13 caolanm 2007-08-27 10:40:31 UTC
closed